cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/generation-jobs/job_01hasync" \
--header "xi-api-key: $BREEZE_API_KEY"import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
job = client.generation_jobs.get("job_01hasync")
print(job["status"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const job = await client.generationJobs.get("job_01hasync");
console.log(job.status);{
"generation_job_id": "<string>",
"history_item_id": "<string>",
"status": "<string>",
"state": "<string>",
"source": "<string>",
"voice_id": "<string>",
"voice_name": "<string>",
"origin": "<string>",
"model_id": "<string>",
"text": "<string>",
"content_type": "<string>",
"output_format": "<string>",
"audio_format": {
"encoding": "<string>",
"codec": "<string>",
"channels": 123,
"sample_rate": 123,
"sample_width_bits": 123,
"bitrate_kbps": 123
},
"word_timestamps": [
{
"index": 1,
"word": "<string>",
"start": 1,
"end": 1
}
],
"download_url": "<string>",
"created_at": "<string>",
"completed_at": "<string>",
"date_unix": 123,
"error": {
"code": "<string>",
"detail": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Text to Speech
Get generation job
Get the status and result metadata for an asynchronous text-to-speech job.
GET
/
v1
/
generation-jobs
/
{generation_job_id}
cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/generation-jobs/job_01hasync" \
--header "xi-api-key: $BREEZE_API_KEY"import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
job = client.generation_jobs.get("job_01hasync")
print(job["status"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const job = await client.generationJobs.get("job_01hasync");
console.log(job.status);{
"generation_job_id": "<string>",
"history_item_id": "<string>",
"status": "<string>",
"state": "<string>",
"source": "<string>",
"voice_id": "<string>",
"voice_name": "<string>",
"origin": "<string>",
"model_id": "<string>",
"text": "<string>",
"content_type": "<string>",
"output_format": "<string>",
"audio_format": {
"encoding": "<string>",
"codec": "<string>",
"channels": 123,
"sample_rate": 123,
"sample_width_bits": 123,
"bitrate_kbps": 123
},
"word_timestamps": [
{
"index": 1,
"word": "<string>",
"start": 1,
"end": 1
}
],
"download_url": "<string>",
"created_at": "<string>",
"completed_at": "<string>",
"date_unix": 123,
"error": {
"code": "<string>",
"detail": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Download generation job audio
Download audio after the job is ready.
Text to speech
Submit asynchronous generation requests.
CLI jobs
Wait for jobs and save their audio.
Authorizations
Breeze Developer API key.
Path Parameters
Generation job identifier returned by async text-to-speech. See Async jobs.
Response
Generation job.
Show child attributes
Show child attributes
Complete word/token timestamps in seconds relative to the delivered audio. Present when a timestamp job is ready; omitted for ordinary or unfinished jobs. See Speech timing.
Show child attributes
Show child attributes
Show child attributes
Show child attributes

